[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Postbox](../../index.md) > [API reference](../index.md) > [REST](index.md) > Suppression list > PutSuppressedDestination method

# PutSuppressedDestination method

Adds an address to the [custom suppression list](../../concepts/suppression-list.md#user). The cloud is determined based on the service account the request originates from.

## Request {#request}

```http
PUT /v2/email/suppression/addresses HTTP/2
```

### Request headers {#request-headers}

Use [common request headers](request-headers.md) in your requests.

### Request body {#request-body}

```json
{
   "EmailAddress": "user@example.com",
   "Reason": "BOUNCE|COMPLAINT"
}
```

#|
|| **Parameter** | **Description** ||
|| `EmailAddress` | **Type**: String.

The recipient's address to add to the suppression list. ||
|| `Reason` | **Type**: String.

This is a required setting. [Reason](../../concepts/suppression-list.md#reasons) to add the address to the suppression list: `BOUNCE` or `COMPLAINT`. ||
|#

If the address is already on the suppression list, a new entry is not created: the reason and time of the change are updated for the current entry, and the creation time is preserved.

## Responses {#responses}

### 200 OK {#200}

A successful request returns `200 OK` in the response.

### Errors {#errors}

For all errors, the response body has the same format:

```json
{
   "Code": "<error_name>",
   "message": "<error_description>"
}
```

The name of the error is taken from its code, e.g., `BadRequestException`.

The possible errors include:

#|
|| **Error code** | **Description** ||
|| `400 BadRequestException` | The request contains an empty or invalid address, or the reason is not specified or is not equal to `BOUNCE` or `COMPLAINT`. ||
|| `403` | Not enough permissions to execute the request. ||
|| `429 TooManyRequestsException` | The request [quota](../../concepts/limits.md#postbox-quotas) was exceeded. ||
|#